OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
OpenMesh::vector_traits< osg::Pnt4d > Struct Template Reference

Vector traits for OpenSG vector type. More...

`#include <OpenMesh/Tools/Kernel_OSG/VectorAdapter.hh>`

## Public Types

typedef osg::Pnt4d | vector_type
typedef vector_type::ValueType | value_type
typedef GenProg::Int2Type < vector_type::_iSize > | typed_size

## Static Public Member Functions

static size_t | size ()

## Static Public Attributes

static const size_t | size_ = vector_type::_iSize

## Detailed Description

### template<>
struct OpenMesh::vector_traits< osg::Pnt4d >

Vector traits for OpenSG vector type.

The documentation for this struct was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/VectorAdapter.hh